Subject: bug#50219: 28.0.50; Provide better errors when trying to specialize on optional args in generic methods

From: Michael Heerdegen <[email-masked]>
Date: Sun, 29 Aug 2021 21:16:44 +0200

Eric Abrahamsen <[email-masked]> writes:

> > This sounds like Bug#39169.  Did I forget to commit the fix I had
> > posted there?
>
> I thought I'd seen discussion about this before! The code you described
> in that bug report did get committed, so I can only assume this is a
> separate but look-alike situation.

Please search for the string "use \\='%s" in eieio-core.el.  We made one
of three occurrences less confusing, seems you hit some other (2/3?).  I
guess we want to change this one as well.

AFAIR you can also just disable `eieio-backward-compatibility' (file or
directory locally).

Michael.